## infernal 1.1~rc4

=== debian/changelog ===
infernal (1.1~rc4-2) unstable; urgency=low

  * Team upload.
  * Build-depends on libperl4-corelibs-perl (Closes: #724119).
  * debian/control: removed myself from Uploaders.

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Sep 2013 10:57:17 +0900

infernal (1.1~rc4-1) unstable; urgency=low

  * New upstream source
  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - do not Build-Depend: quilt since source format implies this
     - The package builds only on architectures with SSE instructions.
       Quoting from build log on armel:
       configure: WARNING: Infernal 1.1 requires VMX or SSE capability for
                  parallel instructions.
       configure: error: It appears your platform has neither and will not
                  support Infernal.
       So all non i386/amd64 architectures were excluded
       Closes: #718742
     - use anonscm in Vcs fields
  * debian/rules:
     - remove redundant setting for flags which is handled by debhelper 9
       automatically
     - use xz compression
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 05 Aug 2013 12:06:12 +0200

infernal (1.1~rc2-1) unstable; urgency=low

  * New upstream version - aiming to support RNAWorld BOINC project,
    with many thanks and regards to Yoyo!
    - cmscore no longer available
  * Bumped policy to 3.9.4 (no changes needed)
    - introduced hardening, with it build dep on
      dpkg-dev (>= 1.16.1~)

 -- Steffen Moeller <moeller@debian.org>  Wed, 01 May 2013 20:24:17 +0200

infernal (1.0.2-3) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Extra fixed for lintian cleanliness (Steffen)

  [ Andreas Tille ]
  * debian/upstream:
    - do not specify DOI twice
    - Moved PMID to references
  * debian/control:
    - Fixed Vcs-Svn field
    - Standards-Version: 3.9.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 08 Mar 2012 11:44:54 +0100

infernal (1.0.2-2) unstable; urgency=low

  * Series of mall fixes (Closes: #643407).
  * source/format 3.0
  * Policy to 3.9.2
  * added infernal-dbg
  * corrected upstream's email address

 -- Steffen Moeller <moeller@debian.org>  Tue, 27 Sep 2011 15:48:27 +0200

infernal (1.0.2-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2009 11:15:34 +0100

infernal (1.0-2) unstable; urgency=low

  * Switch to CDBS to benefit from automagical config.{sub,guess}
    update (debian/rules). Closes: #550253.
  * debian/control:
    - Depend on cdbs, downgraded requirement on debhelper from 7.1 to 7.
    - Transferred bibliographic information from the package description
      to debian/upstream-metadata.yaml.
    - Clarified the short description of the documentation package.
  * Removed debian/infernal.dirs, not needed.
  * Edited README.source, removing mention that infernal is in contrib.
  * debian/copyright points at the version 3 of the GPL.

 -- Charles Plessy <plessy@debian.org>  Sat, 10 Oct 2009 11:22:35 +0900

infernal (1.0-1) unstable; urgency=low

  [ Charles Plessy ]
  * Updated my email address.

  [ Andreas Tille ]
  * New upstream version
  * debian/control:
    - Standards-Version: 3.8.3 (no changes needed)
    - Added myself to uploaders
    - s/Debian-Med/Debian Med/
    - Build-Depends: debhelper (>= 7.1) autotools-dev
    - Package: infernal-doc
  * debian/rules rewritten to make use of short dh
  * debian/copyright:
    - added myself to Copyright holders of debian/*
    - squid is not part of the upstream tarball anymore so this
      paragraph was deleted
    - files/Userguide.pdf: Copied comment about PDF = source from
      README.Debian
  * debian/infernal-doc.doc-base
  * debian/infernal.install: install src/{trcyk,truncyk_check} to
    /usr/bin

  * TODO: Convince upstream to release libeazel which is also used in
    hmmer as a separate library instead of copying the code into
    different projects

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2009 15:17:22 +0200

infernal (0.81-1) experimental; urgency=low

  * Initial release (Closes: #441840)

 -- Steffen Moeller <moeller@debian.org>  Mon, 10 Sep 2007 23:15:37 +0200
