=== debian/control ===
Source: infernal
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 9),
               libperl4-corelibs-perl,
               autotools-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/infernal/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/infernal/trunk/
Homepage: http://infernal.janelia.org/

Package: infernal
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: inference of RNA secondary structural alignments
 Infernal ("INFERence of RNA ALignment") searches DNA sequence
 databases for RNA structure and sequence similarities. It provides an
 implementation of a special variant of profile stochastic context-free
 grammars called covariance models (CMs). A CM is like a sequence
 profile, but it scores a combination of sequence consensus and RNA
 secondary structure consensus, so in many cases, it is more capable of
 identifying RNA homologs that conserve their secondary structure more
 than their primary sequence.
 .
 The tool is an integral component of the Rfam database.

Package: infernal-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: inference of RNA secondary structural alignments – documentation
 Infernal ("INFERence of RNA ALignment") searches DNA sequence
 databases for RNA structure and sequence similarities. It provides an
 implementation of a special case of profile stochastic context-free
 grammars called covariance models (CMs). A CM is like a sequence
 profile, but it scores a combination of sequence consensus and RNA
 secondary structure consensus, so in many cases, it is more capable of
 identifying RNA homologs that conserve their secondary structure more
 than their primary sequence.
 .
 This package provides the documentation which is shipped with the
 code of infernal.

Package: infernal-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Section: debug
Priority: extra
Depends: ${misc:Depends},
         infernal (= ${binary:Version})
Description: debug information for infernal
 This package contains extra information to help the debugging of the
 infernal suite. The package is auto-generated. You may be asked
 by the upstream developer to install it to help the identification
 of a technical problem.
