=== debian/watch ===
version=3
opts="passive,uversionmangle=s/(rc\d+)/~$1/" \
  ftp://infernal.janelia.org/pub/software/infernal/infernal-([^-]*)\.tar\.gz
