## infernal 1.1.1

=== debian/changelog ===
infernal (1.1.1-3) unstable; urgency=medium

  * cme fix dpkg-control
  * drop dpg package at all since it is auto-generated by dpkg now
    Closes: #766309

 -- Andreas Tille <tille@debian.org>  Mon, 21 Dec 2015 09:35:57 +0100

infernal (1.1.1-2) unstable; urgency=medium

  * Re-enable i386 by checking availability of sse2
  * d/copyright: Deleted unneeded paragraphs
  * d/rules: drop redundant targets
  * d/README*: drop pararaphs about squid which is not part of the
    source any more

 -- Andreas Tille <tille@debian.org>  Thu, 18 Sep 2014 10:00:12 +0200

infernal (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. 

 -- Charles Plessy <plessy@debian.org>  Fri, 08 Aug 2014 21:45:26 +0900

infernal (1.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Removed i386 architecture as some processors do not provide SSE2. 
  * Conforms with Policy 3.9.5.

 -- Charles Plessy <plessy@debian.org>  Sun, 01 Dec 2013 10:30:00 +0900
