=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                debhelper (>= 9),
                libperl4-corelibs-perl,
                autotools-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/infernal/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/infernal/trunk/
 Homepage: http://infernal.janelia.org/
 
 Package: infernal
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
+Architecture: amd64 kfreebsd-amd64 i386 kfreebsd-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: inference of RNA secondary structural alignments
@@ -46,16 +46,3 @@
  .
  This package provides the documentation which is shipped with the
  code of infernal.
-
-Package: infernal-dbg
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
-Section: debug
-Priority: extra
-Depends: ${misc:Depends},
-         infernal (= ${binary:Version})
-Description: debug information for infernal
- This package contains extra information to help the debugging of the
- infernal suite. The package is auto-generated. You may be asked
- by the upstream developer to install it to help the identification
- of a technical problem.
-
