=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_clean:
	if [ -r Makefile ]; then $(MAKE) distclean; fi
	-cd documentation/userguide && if [ -r Makefile ]; then make distclean; fi
	-cd easel/documentation && if [ -r Makefile ]; then make distclean; fi
	dh_clean *.1 */*.log *.log */Makefile Makefile documentation/manpages/*.1

override_dh_compress :
	dh_compress -X.pdf

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install
	for bin in `ls $(CURDIR)/debian/infernal/usr/lib/infernal` ; do \
	    if [ $$bin != cmalign ] ; then \
		ln -s cmalign $(CURDIR)/debian/infernal/usr/bin/$$bin ; \
	    fi ; \
	done
