## infernal 1.1.2

=== debian/changelog ===
infernal (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix watchfile.
  * Make build reproducible.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 06 Aug 2016 00:00:56 +0000

infernal (1.1.1-5) unstable; urgency=medium

  * Team upload.
  [Canberk Koç]
  * Added Autopkgtest suite
  * debian/rules file changed
  * debian/tests directory added 

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * cme fix dpkg-control
  * Better hardening

 -- Canberk Koç  <canberkkoc@gmail.com>  Wed, 22 Jun 2016 05:35:41 +0300

infernal (1.1.1-4) unstable; urgency=medium

  * Architecture: any-amd64 any-i386
    Closes: #815310
  * cme fix dpkg-control
  * Secure Vcs-Browser

 -- Andreas Tille <tille@debian.org>  Sat, 20 Feb 2016 23:07:53 +0100
