=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.16.1~),
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 9),
                libperl4-corelibs-perl,
                autotools-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/infernal/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/infernal/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/infernal.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/infernal.git
 Homepage: http://infernal.janelia.org/
 
 Package: infernal
-Architecture: amd64 kfreebsd-amd64 i386 kfreebsd-i386
+Architecture: any-amd64 any-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: inference of RNA secondary structural alignments
