=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+pkgdata:=infernal
+sampledir:=$(CURDIR)/debian/$(pkgdata)/usr/share/doc/$(pkgdata)/examples
 
 %:
 	dh  $@
@@ -23,3 +28,15 @@
 		ln -s cmalign $(CURDIR)/debian/infernal/usr/bin/$$bin ; \
 	    fi ; \
 	done
+
+override_dh_installexamples:
+	dh_installexamples
+	mkdir -p $(sampledir)/src/;
+	mkdir -p $(sampledir)/easel/miniapps/;
+	find ./src -name "*test" -exec cp \{\} $(sampledir)/src/ \;
+	cp ./src/itest_brute $(sampledir)/src/;
+	cp ./easel/miniapps/esl-reformat $(sampledir)/easel/miniapps/;
+	cp ./easel/miniapps/esl-shuffle $(sampledir)/easel/miniapps/;
+	cp ./easel/miniapps/esl-sfetch $(sampledir)/easel/miniapps/;
+	cp -aR testsuite $(sampledir)/;
+	cp ./easel/devkit/sqc $(sampledir)/;
