=== debian/watch ===
version=3
opts="uversionmangle=s/(rc\d+)/~$1/" \
http://eddylab.org/infernal/ infernal-([^-]*)\.tar\.gz
