## infernal 1.1.3

=== debian/changelog ===
infernal (1.1.3-5) unstable; urgency=medium

  * Make build reproducible
    Closes: #953117
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Mar 2020 19:51:06 +0100

infernal (1.1.3-4) unstable; urgency=medium

  * Team upload.
  * fix i386 build by always setting -msse2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 07 Dec 2019 11:22:55 +0100

infernal (1.1.3-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible
    Closes: #946315
  * Enable "nocheck" build profile
    Closes: #946314

  [ Andreas Tille ]
  * Remove patches autoreconf.patch, format_security.patch that are
    missing from debian/patches/series.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Name (from ./configure).

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2019 08:56:34 +0100

infernal (1.1.3-2) unstable; urgency=medium

  * Team upload.
  * Add python3 build-dep for `make check`
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit.
  * Enable a verbose build log
  * infernal-doc: mark Multi-Arch: foreign (thanks Multiarch hinter!)
  * debian/patches/hardening: added CPPFLAGS to easel, rmark, and hmmer/profmark
  * Install example binaries into /usr/lib/ and symlink them into the
    doc/infernal/examples directory (fixes a FHS violation)
  * Added missing autopkgtest dependency on python3

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 01 Dec 2019 16:35:34 +0100

infernal (1.1.3-1) unstable; urgency=medium

  * New upstream version
    - Upstream accepted patch for reproducible builds
    - autoreconf now works without respective non-applicable patch
  * Still debian/TODO: remove code copy of hmmer
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Steffen Moeller <moeller@debian.org>  Sat, 30 Nov 2019 00:03:03 +0100

infernal (1.1.2-2) unstable; urgency=medium

  * Fix homepage
  * Add debian/TODO: remove code copy of hmmer
  * debhelper 10
  * d/watch: version=4
  * Added references to RRID and OMICtools registries (Steffen Moeller)
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Fix configure.ac to enable autoreconf
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 12:20:32 +0200
