=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                libperl4-corelibs-perl,
-               autotools-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/infernal.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/infernal.git
-Homepage: http://infernal.janelia.org/
+               python3
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/infernal
+Vcs-Git: https://salsa.debian.org/med-team/infernal.git
+Homepage: http://eddylab.org/infernal/
 
 Package: infernal
 Architecture: any-amd64 any-i386
@@ -31,6 +31,7 @@
 Package: infernal-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: inference of RNA secondary structural alignments – documentation
