=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -msse2

include /usr/share/dpkg/default.mk
pkgdata:=infernal
sampledir:=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples
sampledir_lib:=$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples

%:
	dh  $@

override_dh_auto_clean:
	if [ -r Makefile ]; then $(MAKE) distclean; fi
	-cd documentation/userguide && if [ -r Makefile ]; then make distclean; fi
	-cd easel/documentation && if [ -r Makefile ]; then make distclean; fi
	dh_clean *.1 */*.log *.log */Makefile Makefile documentation/manpages/*.1
	rm -f testsuite/i49.tbl

override_dh_compress :
	dh_compress -X.pdf

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	$(MAKE) install -j$(shell nproc) AM_UPDATE_INFO_DIR=no V=1 prefix=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install
	for bin in `ls $(CURDIR)/debian/infernal/usr/lib/infernal` ; do \
	    if [ $$bin != cmalign ] ; then \
		ln -s cmalign $(CURDIR)/debian/infernal/usr/bin/$$bin ; \
	    fi ; \
	done

override_dh_installexamples:
	dh_installexamples
	mkdir -p $(sampledir)
	mkdir -p $(sampledir_lib)/src/
	mkdir -p $(sampledir_lib)/easel/miniapps/
	find ./src -name "*test" -exec cp \{\} $(sampledir_lib)/src/ \;
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp ./src/itest_brute $(sampledir_lib)/src/
endif
	cp ./easel/miniapps/esl-reformat $(sampledir_lib)/easel/miniapps/
	cp ./easel/miniapps/esl-shuffle $(sampledir_lib)/easel/miniapps/
	cp ./easel/miniapps/esl-sfetch $(sampledir_lib)/easel/miniapps/
	cd $(sampledir) && ln -s ../../../../lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples/easel ./easel \
		&& ln -s ../../../../lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples/src ./src
	cp -aR testsuite $(sampledir)/
	rm $(sampledir)/testsuite/*.tbl
	cp ./easel/devkit/sqc $(sampledir)/
