## infernal 1.1.4

=== debian/changelog ===
infernal (1.1.4-1) unstable; urgency=medium

  * Enable Architecture: all builds on arm4
    Closes: #976550
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Dec 2020 18:49:26 +0100
