=== debian/control ===
--- 
+++ 
@@ -4,13 +4,19 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libperl4-corelibs-perl,
                python3
-Standards-Version: 4.5.0
+#Build-Depends-Indep: texlive-latex-recommended,
+#                     texlive-latex-extra,
+#                     texlive-fonts-recommended,
+#                     rman,
+#                     hmmer-examples
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/infernal
 Vcs-Git: https://salsa.debian.org/med-team/infernal.git
 Homepage: http://eddylab.org/infernal/
+Rules-Requires-Root: no
 
 Package: infernal
 Architecture: any-amd64 any-i386
