=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 pkgdata:=infernal
 sampledir:=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples
 sampledir_lib:=$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples
+export DATE=$(shell date --date=@$(SOURCE_DATE_EPOCH) '+%d %B %Y')
 
 %:
 	dh  $@
@@ -22,22 +23,48 @@
 override_dh_compress :
 	dh_compress -X.pdf
 
-override_dh_auto_build:
-	dh_auto_build -- V=1
+override_dh_auto_configure-arch:
+	dh_auto_configure -a
 
-override_dh_auto_install:
+override_dh_auto_build-arch:
+	dh_auto_build -a -- V=1
+
+override_dh_auto_build-indep_see_debian_README.source:
+	# Besides the reasons given in README.source this target can not
+	# fully reproduce the Userguide.pdf since master.bib is not available
+	# Thus the References section will remain empty
+	cd documentation/userguide ; \
+	sed -e 's/@INFERNAL_VERSION@/$(DEB_VERSION_UPSTREAM)/' -e 's/@INFERNAL_DATE@/$(DATE)/' titlepage.tex.in > titlepage.tex ; \
+	echo "     LATEX Userguide.pdf  (see latex.log for output)" ; \
+	echo "%% This chapter automatically generated. Do not edit." > manpages.tex ; \
+	echo "\section{Manual pages}" >> manpages.tex ; \
+	for file in ../manpages/*.man ; do\
+	    rman -f LaTeX2e $$file 2>/dev/null | /usr/share/doc/hmmer/examples/easel/devkit/rmanprocess.pl >> manpages.tex ;\
+	done ; \
+	pdflatex main   > latex.log 2>&1 ; \
+	bibtex main    >> latex.log 2>&1 ; \
+	pdflatex main  >> latex.log 2>&1 ; \
+	pdflatex main  >> latex.log 2>&1 ; \
+	mv main.pdf Userguide.pdf
+
+override_dh_auto_install-arch:
 	$(MAKE) install -j$(shell nproc) AM_UPDATE_INFO_DIR=no V=1 prefix=$(CURDIR)/debian/tmp
 
-override_dh_install:
-	dh_install
+override_dh_auto_configure-indep:
+override_dh_auto_build-indep:
+override_dh_auto_install-indep:
+	echo "Nothing to do for architecture all binary packages"
+
+override_dh_install-arch:
+	dh_install -a
 	for bin in `ls $(CURDIR)/debian/infernal/usr/lib/infernal` ; do \
 	    if [ $$bin != cmalign ] ; then \
 		ln -s cmalign $(CURDIR)/debian/infernal/usr/bin/$$bin ; \
 	    fi ; \
 	done
 
-override_dh_installexamples:
-	dh_installexamples
+override_dh_installexamples-arch:
+	dh_installexamples -a
 	mkdir -p $(sampledir)
 	mkdir -p $(sampledir_lib)/src/
 	mkdir -p $(sampledir_lib)/easel/miniapps/
@@ -51,5 +78,5 @@
 	cd $(sampledir) && ln -s ../../../../lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples/easel ./easel \
 		&& ln -s ../../../../lib/$(DEB_TARGET_MULTIARCH)/$(DEB_SOURCE)/examples/src ./src
 	cp -aR testsuite $(sampledir)/
-	rm $(sampledir)/testsuite/*.tbl
+	rm -f $(sampledir)/testsuite/*.tbl
 	cp ./easel/devkit/sqc $(sampledir)/
