## infernal 1.1.5

=== debian/changelog ===
infernal (1.1.5-3) unstable; urgency=medium

  * Fix clean target
    Closes: #1045517
  * Standards-Version: 4.7.0 (routine-update)
  * Drop ${shlibs:Depends} from doc package

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2024 18:38:04 +0100

infernal (1.1.5-2) unstable; urgency=medium

  * Team upload.
  * d/bin/cmalign: adjust SSE2 check to only run on i386 systems, allowing
                   the /usr/lib/infernal/cm* apps to run on arm64 systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 16 Sep 2023 15:58:22 +0200

infernal (1.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set field Upstream-Name in debian/copyright.
  * Fix typo in debian/rules rules: override_dh_compress  ⇒ override_dh_compress
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * d/control: build for arm64
  * d/upstream/metadata: link to their GitHub repo
  * d/rules: only pass -msse2 on i386
  * d/patches: forward upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Sep 2023 22:03:23 +0200
