=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
 #                     texlive-fonts-recommended,
 #                     rman,
 #                     hmmer-examples
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/infernal
 Vcs-Git: https://salsa.debian.org/med-team/infernal.git
 Homepage: http://eddylab.org/infernal/
 Rules-Requires-Root: no
 
 Package: infernal
-Architecture: any-amd64 any-i386
+Architecture: any-amd64 any-i386 arm64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: inference of RNA secondary structural alignments
@@ -38,8 +38,7 @@
 Architecture: all
 Section: doc
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Description: inference of RNA secondary structural alignments – documentation
  Infernal ("INFERence of RNA ALignment") searches DNA sequence
  databases for RNA structure and sequence similarities. It provides an
